.xxx-modal-predcheck.xxx-modal-default__body{
    max-width: 870px;
    padding: 20px 0 30px 0;
}

.xxx-modal-default__content.xxx-modal-predcheck__content{
    border-top: none;
}
.xxx-modal-predcheck__form-content{
    padding-left: 15px;
    padding-right: 15px;
}
.xxx-modal-predcheck__form-step{
    display: none;
}

.xxx-modal-predcheck__form-step.active{
    display: block;
}
.xxx-modal-predcheck__contacts-data{
    display: -ms-grid;
    display: grid;
    grid-row-gap: 25px;
}

.xxx-modal-predcheck__bottom{
    padding-top: 25px;
    padding-left: 15px;
    padding-right: 15px;
}

.xxx-modal-predcheck__code-block{
    margin-top: 25px;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
    grid-gap: 10px;
}

.xxx-modal-predcheck__get-sms{
    display: block;
}

.xxx-modal-predcheck__status-sms{
    display: none;
}

.xxx-modal-predcheck__sms-info-wrapp.timer .xxx-modal-predcheck__get-sms{
    display: none;
}

.xxx-modal-predcheck__sms-info-wrapp.timer .xxx-modal-predcheck__status-sms{
    display: block;
}

.xxx-modal-wrapp--predcheck-credits .xxx-modal-predcheck__bottom-btn {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction: column;
    gap: 15px 20px;
    z-index: 2;
}

.xxx-modal-wrapp--predcheck-credits .xxx-modal-predcheck__bottom {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: initial;
    -ms-flex-pack: initial;
    justify-content: initial;
    gap: 20px;
    border-top: 1px solid #E8ECEF;
}

.xxx-modal-wrapp--predcheck-credits .xxx-modal-predcheck__bottom.xxx-modal-predcheck__bottom--no-bt {
    border-top: none;
}

.xxx-modal-wrapp--predcheck-credits .xxx-modal-predcheck__form-content {
    overflow-y: auto;
    max-height: calc(100vh - 300px);
}

.xxx-modal-wrapp.active,
.xxx-modal-wrapp--predcheck-credits.active {
    content-visibility: visible;
}

.xxx-modal-wrapp--predcheck-credits.active .xxx-modal-predcheck.xxx-modal-default__body {
    opacity: 1;
    visibility: visible;
    z-index: 100;
}

.xxx-modal-wrapp--predcheck-credits.xxx-modal-predcheck__form-step.active {
    position: relative;
    z-index: 100;
}

@media screen and (min-width: 740px) {
    .xxx-modal-predcheck.xxx-modal-default__body{
        padding: 20px 0 50px 0;
    }
    .xxx-modal-predcheck__form-content{
        padding-right: 30px;
        padding-left: 30px;
    }
    .xxx-modal-predcheck__contacts-data{
        -ms-grid-columns: 1fr 30px 1fr;
        grid-template-columns: 1fr 1fr;
        grid-row-gap: 25px;
        grid-column-gap: 30px;
        -ms-grid-rows: auto 25px auto 25px auto;
        grid-template-areas: "fio fio" "phone email" "checkboxes checkboxes";
    }

    .xxx-modal-predcheck__fio-wrap{
        grid-area: fio;
    }
    .xxx-modal-predcheck__phone-wrap{
        grid-area: phone;
    }
    .xxx-modal-predcheck__email-wrap{
        grid-area: email;
    }

    .xxx-modal-predcheck__checkboxes-wrap{
        grid-area: checkboxes;
    }

    .xxx-modal-predcheck__bottom{
        border-top: 1px solid #E8ECEF;
        padding-top: 20px;
        margin-top: 30px;
        padding-right: 30px;
        padding-left: 30px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: end;
        -ms-flex-pack: end;
        justify-content: flex-end;
    }

    .xxx-modal-predcheck__bottom-btn {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: end;
        -ms-flex-pack: end;
        justify-content: flex-end;
    }

    .xxx-modal-predcheck__code-block{
        margin-top: 30px;
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: 1fr 30px 1fr;
        grid-template-columns: 1fr 1fr;
        grid-gap: 30px;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .xxx-modal-predcheck__phone-block{
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        gap: 20px;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .xxx-modal-wrapp--predcheck-credits .xxx-modal-predcheck__bottom-btn {
        flex-direction: row;
    }
}

@media screen and (min-width: 740px){
    .xxx-modal-predcheck__fio-wrap{
        -ms-grid-row: 1;
        -ms-grid-column: 1;
        -ms-grid-column-span: 3;
    }
    .xxx-modal-predcheck__phone-wrap{
        -ms-grid-row: 3;
        -ms-grid-column: 1;
    }
    .xxx-modal-predcheck__email-wrap{
        -ms-grid-row: 3;
        -ms-grid-column: 3;
    }
    .xxx-modal-predcheck__checkboxes-wrap{
        -ms-grid-row: 5;
        -ms-grid-column: 1;
        -ms-grid-column-span: 3;
    }
}